<?php

function deepcore_archive_course() {    
    $deep_options = deep_options();?>
    <div class="archive-course-wrap clearfix">
        <section id="headline"><div class="container"><h2>
        <?php
        if ( is_search() ) {
            echo sprintf( esc_html__( 'Search Results: &ldquo;%s&rdquo;', 'deep' ), get_search_query() );
        if ( get_query_var( 'paged' ) ) {
            echo sprintf( esc_html__( '&nbsp;&ndash; Page %s', 'deep' ), get_query_var( 'paged' ) ); }
        } elseif ( is_tax() ) {
            echo single_term_title( '', false );
        }else{
            echo esc_html__('All Courses','deep');
        }
        ?>
        </h2></div></section>
        <main class="container content llms-content w-course-archive">
            <hr class="vertical-space">
            <aside class="col-md-3">
                <div class="filter-category">
                    <h3> <?php esc_html_e('COURSE CATEGORIES','deep'); ?> </h3>
                    <?php the_widget ('Michigan_Course_Categories', 'post_counts=true&category_icon=true'); ?>
                </div>
                <hr class="vertical-space">
            </aside>
            <div id="page-<?php the_ID();?>" <?php post_class('col-md-9'); ?>>
                <div class="btn-group row">
                    <div class="col-md-10 col-sm-10 courses-search">
                        <?php the_widget('Michigan_Search_Course','category_field=true&instructor_field=true'); ?>
                    </div>
                    <div class="col-md-2 col-sm-2 alignright">
                        <a href="#" id="list" class="btn btn-default btn-sm">
                        <i class="fa-th-list"></i>
                        </a>
                        <a href="#" id="grid" class="btn btn-default btn-sm active">
                        <i class="fa-th-large"></i>
                        </a>
                    </div>
                </div>
                <hr class="vertical-space">
            <?php
            do_action( 'lifterlms_archive_description' );
            if ( have_posts() ){
                echo '<div class="course-loader"></div>';
                echo '<div class="w-courses course-grid-t modern-grid" data-empty-filter-result="' . get_stylesheet_directory_uri() . '/images/filter-courses-empty.png' . '"><div class="courses">';
                $rcount=1;
                $row=3;
                while ( have_posts() ) :the_post();
                global $post;                         
                                            
                $n_students = new LLMS_Student_Query( array(						
                    'statuses' => 'enrolled'
                ) );						
                $course_students = $n_students->found_results;

                global $course;
                $lms_lenght = (class_exists('LLMS_Product'))? $course->get_lesson_length():'';
                $custom_lenght = rwmb_meta('michigan_course_duration_meta');
                $course_duration = ($custom_lenght)?$custom_lenght:$lms_lenght;
                echo ($rcount == 1)?'<div class="row">':''; ?>
                <div class="col-md-4 col-sm-6 course-list-col">
                    <article class="w-course-list">
                        <div class="clearfix">
                        <div class="col-md-4 course-list-border-right">
                            <?php
                                if (get_the_terms($post->ID, 'course_cat' )) {
                                    echo '<div class="modern-cat">';
                                    $categories = get_the_terms($post->ID, 'course_cat' );
                                    $typeName = array();
                                    foreach ( $categories as $category ) :
                                        if(function_exists('tax_icons_output_term_icon')){
                                            $cat_icon =  tax_icons_output_term_icon( $category->term_id );
                                        }else{
                                            $cat_icon = '';
                                        }

                                        $typeName[] = '<a class="hcolorf" href="' . esc_url( get_category_link( $category ) ) . '" title="' . esc_attr( sprintf( esc_html__( 'View all courses under %s', 'deep' ), $category->name ) ) . '">'. $cat_icon . esc_html( $category->name ). '</a>';

                                    endforeach;
                                    echo implode(', ', $typeName);
                                    echo '</div>';
                                }

                            global $post; ?>
                            <figure><a class="" href="<?php the_permalink(); ?>">
                            <?php if ( has_post_thumbnail( $post->ID ) ) {
                                $img = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'michigan_webnus_blog2_img' );
                                echo '<img src="' . $img[0] . '" alt="Placeholder" class="llms-course-image llms-featured-imaged wp-post-image" />';
                            } else{
                                $no_img = get_template_directory_uri().'/images/course_no_image.png';?>
                                <?php echo '<img src="' . $no_img . '" alt="Placeholder" class="llms-course-image llms-placeholder wp-post-image" />';
                            } ?>
                            </a></figure>
                            <?php
                            echo($course_duration)?'<span class="modern-duration">'.$course_duration.'<i class="fa-clock-o"></i></span>':'';
                            ?>
                        </div>
                        <div class="col-md-8 none-grid">
                            <div class="course-list-content">
                                <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                                <?php
                                $course_price = deep_michigan_course_price();
                                echo ($course_price)?'<div class="course-list-price">'.$course_price.'</div>':'';
                                echo '<p>'.deep_excerpt(36).'</p>';
                                if($deep_options['michigan_webnus_course_taking']==1 && is_plugin_active('lifterlms/lifterlms.php')){
                                    llms_get_template( 'course/purchase-link.php' );
                                }elseif($deep_options['michigan_webnus_course_taking']==2){
                                    echo '<br><a href="'.$deep_options['michigan_webnus_course_taking_custom'].'" class="llms-button" target="_self">'.esc_html__('Take This Course','deep').'</a>';
                                }?>
                            </div>
                        </div>
                        </div>
                        <div class="clearfix">
                            <div class="col-md-4 course-list-border-right">
                                <div class="course-list-review">
                                    <div class="modern-content">
                                        <h3 class="llms-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                        <?php
                                        if(function_exists('the_ratings')) {
                                            echo expand_ratings_template('<div class="modern-rating"><span class="rating">%RATINGS_IMAGES%</span> <strong>(%RATINGS_USERS% '.esc_html__('Votes','deep').')</strong></div>', get_the_ID());
                                        }
                                        global $post;
                                        if( class_exists('LLMS_Product') ){
                                        echo '<div class="llms-price-wrapper"><h4 class="llms-price"><span>';
                                        deep_michigan_course_price();
                                        echo '</span></h4></div>';
                                        }else{
                                            if( rwmb_meta('michigan_course_price_meta') ){
                                                echo '<div class="llms-price-wrapper"><h4 class="llms-price"><span>';
                                                deep_michigan_course_price();
                                                echo '</span></h4></div>';
                                            }
                                        }
                                        ?>
                                        <div class="clearfix modern-meta">
                                            <?php
                                            $my_post = get_post( $post->ID );
                                            $author_id = $my_post->post_author;
                                            $instructor_avatar = get_avatar( get_the_author_meta( 'user_email',$author_id ), 20 );
                                            $instructor_title = '<a href="'.get_author_posts_url( $author_id ).'">'. get_avatar( get_the_author_meta( 'user_email',$author_id ), 20 ).get_the_author_meta( 'display_name',$author_id ).'</a>';
                                            echo  '<div class="col-md-8 col-sm-8 col-xs-8"><div class="modern-instructor">'.$instructor_title.'</div></div>';
                                            echo '<div class="col-md-4 col-sm-4 col-xs-4">';
                                            echo ($course_students)?'<span class="modern-students" title="'.esc_attr('Enrolled Students','deep').'"><i class="sl-people"></i>'.$course_students.'</span>':'<span class="modern-viewers" title="'.esc_attr('Viewers','deep').'"><i class="fa-eye"></i>'.deep_getViews(get_the_ID()).'</span>';
                                            echo '</div>';
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-8 nopad-all none-grid">
                                <div class="course-list-meta">
                                    <div class="clearfix">
                                        <?php
                                        echo ($course_duration)?'<div class="col-md-2 col-sm-2 col-xs-6"><span class="course-list-duration"><i class="sl-clock"></i>'.$course_duration.'</span></div>':'';
                                        $my_post = get_post( $post->ID );
                                        $author_id = $my_post->post_author;
                                        $instructor_title = '<a href="'.get_author_posts_url( $author_id ).'">'.get_the_author_meta( 'display_name',$author_id ).'</a>';
                                        echo '<div class="col-md-4 col-sm-4 col-xs-6 nopad-all"><span class="course-list-instructor"><i class="sl-user"></i>'.$instructor_title.'</span></div>';
                                        echo ($course_students)?'<div class="col-md-3 col-sm-3 col-xs-6 nopad-all"><span class="course-list-students"><i class="sl-people"></i>'.$course_students .' '. esc_html__('Studesnts','deep').'</span></div>':'';
                                        echo '<div class="col-md-3 col-sm-3 col-xs-6 nopad-all"><span class="modern-viewers"><i class="sl-eyeglass"></i>'.deep_getViews(get_the_ID()) .' '. esc_html__('Viewers','deep').'</span></div>';
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </article>
                </div>
                <?php if($rcount == $row){
                echo '</div>';
                $rcount = 0;
                }
                $rcount++;
                endwhile;
                echo '</div></div>';
            }else{
                echo '<p class="lifterlms-info">'._e( 'No products were found to match your selection.', 'deep' ) .'</p>';
            }
            if(function_exists('wp_pagenavi')) { wp_pagenavi(); } else {
                echo '<div class="wp-pagenavi">';
                next_posts_link(esc_html__('&larr; Previous page', 'deep'));
                previous_posts_link(esc_html__('Next page &rarr;', 'deep'));
            } ?>
            </div>
        </main>
    </div>
    <?php do_action( 'lifterlms_sidebar' );    
}

add_action( 'deepcore_archive_course', 'deepcore_archive_course' );