<?php

function deepcore_single_llms_quiz() {	
	global $post;

	$deep_options = deep_options();

	deep_setViews(get_the_ID());

	if( class_exists( 'LLMS_Lesson' ) ) {		
		$lesson = new LLMS_Lesson( $post->ID );
	}
	
	$lesson_features = isset($deep_options['deep_webnus_lesson_features']) ? $deep_options['deep_webnus_lesson_features'] : false;	
		
	$content = get_the_content(); ?>

	<section class="container page-content" >
		<hr class="vertical-space2">
		
		<?php if( have_posts() ): while( have_posts() ): the_post(); ?>

		<div class="col-md-12 blgt1-top-sec">
			<h1 class="post-title-ps1"><?php the_title() ?></h1>
			<?php if (isset($lesson_features['date']) && $lesson_features['date']){ ?>
				<h6><?php the_time(get_option('date_format')) ?></h6>
			<?php } ?>
		</div>

		<section class="col-md-9 lesson-content cntt-w">
			<div class="row">
				<div class="col-md-6">
					<div class="post-thumbnail quiz-thumbnail">
						<?php if(isset($lesson_features['image']) && $lesson_features['image'] && has_post_thumbnail()){
							get_the_image( array( 'meta_key' => array( 'thumbnail', 'thumbnail' ), 'size' => 'michigan_webnus_blog2_img' ) );
						}?>
					</div>
				</div>		
			</div>

			<article class="lesson-single-post">
				<div <?php post_class('post'); ?>>									
					<?php echo apply_filters('the_content',$content);
					endwhile;
					endif; ?>
				</div>
			</article>

			<?php if(isset($lesson_features['comment']) && $lesson_features['comment']){
				comments_template();
			} ?>
		</section>

		<div class="white-space"></div>
	</section>
	<?php
}

add_action( 'deepcore_single_llms_quiz', 'deepcore_single_llms_quiz' );